--- old/usr/src/lib/libm/common/m9x/roundf.c	2019-06-06 20:40:35.175022669 +0000
+++ new/usr/src/lib/libm/common/m9x/roundf.c	2019-06-06 20:40:35.192740333 +0000
@@ -22,6 +22,7 @@
 /*
  * Copyright 2011 Nexenta Systems, Inc.  All rights reserved.
  */
+
 /*
  * Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
@@ -32,20 +33,24 @@
 #include "libm.h"
 
 float
-roundf(float x) {
+roundf(float x)
+{
 	union {
 		unsigned i;
 		float f;
 	} xx;
+
 	unsigned hx, sx, i;
 
 	xx.f = x;
 	hx = xx.i & ~0x80000000;
 	sx = xx.i & 0x80000000;
+
 	if (hx < 0x4b000000) {		/* |x| < 2^23 */
-		if (hx < 0x3f800000) {		/* |x| < 1 */
+		if (hx < 0x3f800000) {	/* |x| < 1 */
 			if (hx >= 0x3f000000)
 				return (sx ? -1.0F : 1.0F);
+
 			return (sx ? -0.0F : 0.0F);
 		}
 
@@ -53,12 +58,13 @@
 		i = 1 << (0x95 - (hx >> 23));
 		xx.i = (xx.i + i) & ~((i << 1) - 1);
 		return (xx.f);
-	} else if (hx < 0x7f800000)	/* |x| is integral */
+	} else if (hx < 0x7f800000) {	/* |x| is integral */
 		return (x);
-	else
+	} else {
 #if defined(FPADD_TRAPS_INCOMPLETE_ON_NAN)
 		return (hx > 0x7f800000 ? x * x : x + x);
 #else
 		return (x + x);
 #endif
+	}
 }
